## org.apache.cassandra.net
Interface MessageProducer

All Known Implementing Classes:
  CachingMessageProducer, IndexScanCommand, RangeSliceCommand, ReadCommand, RetriedSliceFromReadCommand, RowMutation, SliceByNamesReadCommand, SliceFromReadCommand, Truncation

    public interface MessageProducer

Method Summary
`Message` `getMessage(java.lang.Integer version)`

Method Detail

### getMessage

    Message getMessage(java.lang.Integer version)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2012 The Apache Software Foundation